Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved]baselayout-1.12.0_pre17 & "svcdir:readonly variable"
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Tyler_Durden
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 189
Location: Germany

PostPosted: Tue Apr 11, 2006 5:44 pm    Post subject: [solved]baselayout-1.12.0_pre17 & "svcdir:readonly Reply with quote

After upgrading to baselayout-1.12.0_pre17 i get always tons of messages like:
Code:
/etc/conf.d/rc: line 196: svcdir: readonly variable

while booting, but no real error, "etc-update" correctly done, same with 1.12.0_pre17-r1

I'm the only one? Any ideas?
_________________
Gentoo 17.1 x86_64
Intel Core i9-9900K
Asus MAXIMUS XI HERO
AMD Radeon VII
32GB DDR4
Samsung SSD 970 EVO Plus 1TB
8x Seagate Archive (SATA-RAID 64TB)
Digital Devices Cine S2 V6.5 DVB Adapter


Last edited by Tyler_Durden on Sun Apr 23, 2006 10:32 am; edited 1 time in total
Back to top
View user's profile Send private message
monade
Apprentice
Apprentice


Joined: 17 Mar 2005
Posts: 204
Location: Berlin

PostPosted: Tue Apr 11, 2006 7:11 pm    Post subject: Reply with quote

Same problem here. The errors disappear when downgrading to baselayout-1.12.0_pre16-r3.
Back to top
View user's profile Send private message
bushwakko
Guru
Guru


Joined: 25 Mar 2003
Posts: 495

PostPosted: Thu Apr 13, 2006 6:25 pm    Post subject: Reply with quote

same here, downgrade then?
_________________
Macbook Pro 15"
Core 2 Duo 2,33ghz
2gb Ram
ATI Mobility x1600 256mb
Back to top
View user's profile Send private message
drowningman
n00b
n00b


Joined: 03 Feb 2004
Posts: 25
Location: Montreal

PostPosted: Fri Apr 14, 2006 3:51 am    Post subject: Reply with quote

Same here...
_________________
"Don't talk of worlds that never were
The end is all that's ever true
There's nothing you can ever say
Nothing you can ever do... "
- The Cure
Back to top
View user's profile Send private message
kmare
l33t
l33t


Joined: 20 Nov 2004
Posts: 619
Location: Thessaloniki, Greece

PostPosted: Fri Apr 14, 2006 3:13 pm    Post subject: Reply with quote

same here... but it seems harmless...
_________________
Never argue with an idiot. They will only pull you down to their level, then beat you with experience.
Back to top
View user's profile Send private message
UberLord
Retired Dev
Retired Dev


Joined: 18 Sep 2003
Posts: 6795
Location: Blighty

PostPosted: Thu Apr 20, 2006 4:41 pm    Post subject: Reply with quote

See https://bugs.gentoo.org/show_bug.cgi?id=129717

This is NOT a baselayout bug, but somewhere else. I'm guessing it's in splashutils (specific version) and/or vserver init script
_________________
Use dhcpcd for all your automated network configuration needs
Use dhcpcd-ui (GTK+/Qt) as your System Tray Network tool
Back to top
View user's profile Send private message
Tyler_Durden
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 189
Location: Germany

PostPosted: Sun Apr 23, 2006 10:33 am    Post subject: Reply with quote

UberLord wrote:
See https://bugs.gentoo.org/show_bug.cgi?id=129717

This is NOT a baselayout bug, but somewhere else. I'm guessing it's in splashutils (specific version) and/or vserver init script


This problem was gone by updating to "media-gfx/splashutils-1.1.9.10-r1".
_________________
Gentoo 17.1 x86_64
Intel Core i9-9900K
Asus MAXIMUS XI HERO
AMD Radeon VII
32GB DDR4
Samsung SSD 970 EVO Plus 1TB
8x Seagate Archive (SATA-RAID 64TB)
Digital Devices Cine S2 V6.5 DVB Adapter
Back to top
View user's profile Send private message
kmare
l33t
l33t


Joined: 20 Nov 2004
Posts: 619
Location: Thessaloniki, Greece

PostPosted: Wed Apr 26, 2006 6:16 pm    Post subject: Reply with quote

well.. i don't have splashutils installed at all...
_________________
Never argue with an idiot. They will only pull you down to their level, then beat you with experience.
Back to top
View user's profile Send private message
barcode_linux
n00b
n00b


Joined: 21 May 2006
Posts: 14
Location: USA

PostPosted: Sun May 21, 2006 5:21 am    Post subject: ditto! Reply with quote

I am having the same problem here. Although this is no show-stopper, it is annoying.
When I boot up, I get:
Code:
/etc/conf.d/rc: line 213: svcdir: readonly variable
/sbin/functions.sh: line 13: declare: svclib: readonly variable
/sbin/functions.sh: line 14: declare: svcdir: readonly variable


I look at the bugreport located at https://bugs.gentoo.org/show_bug.cgi?id=129717 and it seems that updating to media-gfx/splashutils-1.1.9.10-r1 solves the problem for some people. Well, I have already had media-gfx/splashutils-1.1.9.10-r1 installed, but after emerging sys-apps/baselayout-1.12.0_pre19-r2 all of this started. I know, I know, the change took place in pre17 or so. So I re-emerged sys-apps/baselayout-1.12.0_pre19-r2 and media-gfx/splashutils-1.1.9.10-r1 and still have the same errors.

Has anyone come up with a different fix for this yet?

cheers
barc
Back to top
View user's profile Send private message
lxg
Veteran
Veteran


Joined: 12 Nov 2005
Posts: 1019
Location: Aachen, Germany

PostPosted: Thu May 25, 2006 3:30 pm    Post subject: Reply with quote

I have (better: had) the same -- on totally up-to-date systems.

I've gone I bit deeper inside it, and I found out that ll. 13-14 in /sbin/functions.sh say
Code:
declare -r svclib="/lib/rcscripts"
declare -r svcdir="${svcdir:-/var/lib/init.d}"


Now declare -r means: declare a readonly variable. Obviously the variables are assigned more than once, so there is an error warning each time they are reassigned.

Before going a bit deeper, let's have some things explained first: (1) All variables set in a shell are also set in sub-shells. (2) A script, while being executed, is a shell. (3) A script called from another script is a subshell of the first. (3) A file or script "sourced" (with the command source) is considered as a part of the "sourcing" shell. (see also at the LDP)

Knowing that, we have to take a look at Gentoo's (in fact: almost all distro's) boot process -- slightly shortened: The so-called inittab (/etc/inittab) is the master of the boot process, all virtual terminals as well as the answer to life, the universe and everything. From there, the runlevels are controlled and executed one after another. Although the inittab has an own syntax, we can consider it as a shell in the above meaning. The inittab calls the script /sbin/rc once for each runlevel. (Take a look at your /etc/inittab, it won't hurt. ;)) The /sbin/rc executes, and it "sources" /sbin/functions.sh first. (NB: /sbin/rc is not executed by /bin/bash, but by /sbin/runscript. I didn't ever look inside, but I believe, based on earlier experiences, it caches variables.) Now if I'm not fundamentally wrong, there is always a new assignment to the both readonly defined variables, each time /sbin/rc is loaded. Because of that, there's the error messages.

Long story short:
In order to avoid the error message, the variables svcdir and svclib should not be readonly. I tried this with changing the lines 13-14 in /sbin/function.sh like this
Code:
declare svclib="/lib/rcscripts"
declare svcdir="${svcdir:-/var/lib/init.d}"

(taking away the -r in both lines). This way, the error message doesn't appear anymore.

BUT:
This is not a recommended solution. (1) Although it works for me, it doesn't have to for others. I'm not a Gentoo developer and I'm not at all a supermega bash guru, so I may be fundamentally wrong with my considerations. (2) whoever made these variables readonly will have had an intention; it could even be a security issue. (3) What makes me especially curious: Some people have this error, some don't. I myself do not have it on my x86 PC, while I have it on my x86_64 notebook and a x86 LiveCD. (All systems are emerge --sync && emerge -uND world, i.e. totally up-to-date.) So please do it on your own risk.

Best thing would probably be to go on discussing this here.
_________________
lxg.de – codebits and tech talk
Back to top
View user's profile Send private message
kmare
l33t
l33t


Joined: 20 Nov 2004
Posts: 619
Location: Thessaloniki, Greece

PostPosted: Fri May 26, 2006 12:27 am    Post subject: Reply with quote

well.. i still got that message. I'll do an emerge -e world soon, as gcc 4.1.1 is entering ~arch. Then we'll see if it just goes away...
_________________
Never argue with an idiot. They will only pull you down to their level, then beat you with experience.
Back to top
View user's profile Send private message
mixmasta
Tux's lil' helper
Tux's lil' helper


Joined: 16 Oct 2004
Posts: 80
Location: Earth, Sol, Orion Arm, Milky Way Galaxy, Virgo Super-Cluster

PostPosted: Thu Jul 06, 2006 11:12 pm    Post subject: Reply with quote

a new gcc is gonna fix a bash script error?

I've got the same problem, I tried emerging splashutils (I didn't have it) but the ebuild failed. Nice.

I guess I'll remove the -r's
Back to top
View user's profile Send private message
UberLord
Retired Dev
Retired Dev


Joined: 18 Sep 2003
Posts: 6795
Location: Blighty

PostPosted: Fri Jul 07, 2006 6:56 am    Post subject: Reply with quote

gcc will not "fix it"
bash will not "fix it"

baselayout is trying to enforce correct script behaviour. If you have no clue as to which script is causing the issue then here's some pointers.

It's caused by something loading functions.sh when it should not have been (ie it was already loaded).
Code:
for x in /lib /usr/lib /bin /usr/bin /sbin /usr/sbin ; do grep "functions\.sh" $x -R ; done


That should find whatever uses function.sh - it will report many false positives.
But the only ones I know of are splashutils and baselayout-vserver, both should have been fixed by now.
_________________
Use dhcpcd for all your automated network configuration needs
Use dhcpcd-ui (GTK+/Qt) as your System Tray Network tool
Back to top
View user's profile Send private message
Joseph_sys
Advocate
Advocate


Joined: 08 Jun 2004
Posts: 2571
Location: Edmonton, AB

PostPosted: Sun Aug 13, 2006 4:49 pm    Post subject: Reply with quote

UberLord wrote:
[snip]
baselayout is trying to enforce correct script behaviour. If you have no clue as to which script is causing the issue then here's some pointers.
It's caused by something loading functions.sh when it should not have been (ie it was already loaded).
Code:
for x in /lib /usr/lib /bin /usr/bin /sbin /usr/sbin ; do grep "functions\.sh" $x -R ; done


That should find whatever uses function.sh - it will report many false positives.
But the only ones I know of are splashutils and baselayout-vserver, both should have been fixed by now.


What are we suppose to look for with this command?
I'm getting a similar error even though I don't have a splashutils installed. I'm getting this message on both of my x86 boxes after upgrade but not on AMD64.
During boot:
Code:
/etc/config.d/rc: line 225: svcdir: readonly variable
/sbin/functions.sh: line 10: declare: svclib: readonly variable
/sbin/functions.sh: line 11: declare: svcdir: readonly variable


During shutdown:
Code:
/etc/config.d/rc: line 225: svcdir: readonly variable
/sbin/functions.sh: line 10: declare: svclib: readonly variable
/sbin/functions.sh: line 11: declare: svcdir: readonly variable
/sbin/functions.sh: line 125: BOOTLEVEL: readonly variable
/sbin/functions.sh: line 131: DEFAULTLEVEL: readonly variable


Running your command gave me the following output, but what am I looking for?
Code:
/lib/rcscripts/sh/rc-services.sh:[[ ${RC_GOT_FUNCTIONS} != "yes" ]] && source /sbin/functions.sh
/lib/rcscripts/sh/rc-daemon.sh:[[ ${RC_GOT_FUNCTIONS} != "yes" ]] && source /sbin/functions.sh
/lib/rcscripts/sh/rc-help.sh:source /sbin/functions.sh
/lib/rcscripts/awk/cachedepends.awk:    print "source /sbin/functions.sh" >> TMPCACHE
grep: memory exhausted
grep: /usr/lib/X11/X11: No such file or directory
/usr/lib/portage/pym/output.py:# Colors from /sbin/functions.sh
Binary file /usr/lib/portage/pym/portage_const.pyo matches
/usr/lib/portage/pym/portage_const.py:MISC_SH_BINARY          = PORTAGE_BIN_PATH + "/misc-functions.sh"
Binary file /usr/lib/portage/pym/portage_const.pyc matches
/usr/lib/portage/bin/doexe:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/doins:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/doman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/ebuild.sh:source "${PORTAGE_BIN_PATH}/isolated-functions.sh"  &>/dev/null
/usr/lib/portage/bin/ebuild.sh: # MUST follow functions.sh to override the "" parameter problem.
/usr/lib/portage/bin/ebuild.sh:# in the future might use e* from /etc/init.d/functions.sh if i feel like it
/usr/lib/portage/bin/emerge-webrsync:source /usr/lib/portage/bin/isolated-functions.sh || exit 1
/usr/lib/portage/bin/prepall:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepalldocs:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepallinfo:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepallman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepinfo:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/preplib:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepstrip:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/quickpkg:source /sbin/functions.sh
grep: /usr/lib/python2.3/site-packages/pygtk.py: No such file or directory
grep: /usr/lib/python2.3/site-packages/pygtk.pth: No such file or directory
grep: /usr/lib/ccache/bin/gcc: No such file or directory
grep: /usr/lib/ccache/bin/cc: No such file or directory
grep: /usr/lib/ccache/bin/c++: No such file or directory
grep: /usr/lib/ccache/bin/g++: No such file or directory
grep: /usr/lib/ccache/bin/i686-pc-linux-gnu-gcc: No such file or directory
grep: /usr/lib/ccache/bin/i686-pc-linux-gnu-c++: No such file or directory
grep: /usr/lib/ccache/bin/i686-pc-linux-gnu-g++: No such file or directory
grep: /usr/lib/mozilla/plugins/javaplugin.so: No such file or directory
grep: /usr/lib/libMesaGLU.so: No such file or directory
grep: /usr/lib/opengl/nvidia/lib/tls: No such file or directory
grep: /usr/lib/MozillaFirefox/plugins/javaplugin.so: No such file or directory
grep: warning: /usr/lib/apache2/lib: recursive directory loop

grep: /usr/lib/apache2/extramodules: No such file or directory
grep: /usr/lib/nsbrowser/plugins/javaplugin.so: No such file or directory
grep: /usr/lib/libmysqlclient: No such file or directory
grep: /usr/lib/libmysqlclient.12: No such file or directory
grep: /usr/lib/libmysqlclient.12.0.0: No such file or directory
grep: /usr/lib/libmysqlclient_r: No such file or directory
grep: /usr/lib/libmysqlclient_r.12: No such file or directory
grep: /usr/lib/libmysqlclient_r.12.0.0: No such file or directory
grep: /usr/lib/modules/extensions/libglx.a: No such file or directory
/bin/rc-status:# grab code from functions.sh so we don't have to reproduce it
/bin/rc-status:source /sbin/functions.sh
/usr/bin/quickpkg:source /sbin/functions.sh
/usr/bin/gcc-config:source /sbin/functions.sh || {
/usr/bin/gcc-config:    echo "${argv0}: Could not source /sbin/functions.sh!"
/usr/bin/perl-cleaner:source /sbin/functions.sh || {
/usr/bin/perl-cleaner:        echo "$0: Could not source /sbin/functions.sh!"
grep: warning: /usr/bin/X11: recursive directory loop

/usr/bin/bash-completion-config:if [[ ! -e "${ROOT}/sbin/functions.sh" ]] ; then
/usr/bin/bash-completion-config:    echo "${ROOT}/sbin/functions.sh does not exist!"
/usr/bin/bash-completion-config:source "${ROOT}/sbin/functions.sh" || exit 1
/usr/bin/bash-completion-config:    # colors from functions.sh
/usr/bin/binutils-config:source /etc/init.d/functions.sh || {
/usr/bin/binutils-config:       echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/rc:source /sbin/functions.sh
/sbin/rc:[ -f /sbin/livecd-functions.sh ] && source /sbin/livecd-functions.sh
/sbin/rc:       [ -f /sbin/livecd-functions.sh ] && livecd_read_commandline
/sbin/rc:       if [ -f "/sbin/livecd-functions.sh" -a -n "${CDBOOT}" ]
/sbin/rc-update:source /sbin/functions.sh
/sbin/modules-update:source /etc/init.d/functions.sh || {
/sbin/modules-update:   echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/update-modules:source /etc/init.d/functions.sh || {
/sbin/update-modules:   echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/runscript.sh:[[ ${RC_GOT_FUNCTIONS} != "yes" ]] && source /sbin/functions.sh
/sbin/runscript.sh:# We check this in functions.sh ...
/sbin/functions.sh:if ! import_addon splash-functions.sh ; then
/sbin/functions.sh:     [[ -f /sbin/splash-functions.sh ]] && source /sbin/splash-functions.sh
/sbin/functions.sh:import_addon profiling-functions.sh
/sbin/functions.sh:#    This function is private to functions.sh.  Do not call it from a
/sbin/fix_libtool_files.sh:source /sbin/functions.sh
/sbin/depscan.sh:source /etc/init.d/functions.sh || {
/sbin/depscan.sh:       echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/env-update.sh:source /sbin/functions.sh || exit 1
/sbin/livecd-functions.sh:# $Header: /var/cvsroot/gentoo/src/livecd-tools/livecd-functions.sh,v 1.23 2006/05/30 20:20:11 wolf31o2 Exp $
/sbin/livecd-functions.sh:source /sbin/functions.sh
/usr/sbin/update-modules:source /etc/init.d/functions.sh || {
/usr/sbin/update-modules:       echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/usr/sbin/ebuild.sh:source "${PORTAGE_BIN_PATH}/isolated-functions.sh"  &>/dev/null
/usr/sbin/ebuild.sh:    # MUST follow functions.sh to override the "" parameter problem.
/usr/sbin/ebuild.sh:# in the future might use e* from /etc/init.d/functions.sh if i feel like it
/usr/sbin/emerge-webrsync:source /usr/lib/portage/bin/isolated-functions.sh || exit 1
/usr/sbin/python-updater:source /sbin/functions.sh
/usr/sbin/opengl-update:. /etc/init.d/functions.sh
/usr/sbin/net-setup:if [ -f /sbin/livecd-functions.sh ]
/usr/sbin/net-setup:    source /sbin/livecd-functions.sh
/usr/sbin/net-setup:    echo "ERROR: /sbin/livecd-functions.sh could not be loaded!"
/usr/sbin/x-setup:if [ -f /sbin/livecd-functions.sh ]
/usr/sbin/x-setup:      source /sbin/livecd-functions.sh
/usr/sbin/x-setup:      echo "ERROR: /sbin/livecd-functions.sh could not be loaded!"
/usr/sbin/quickpkg:source /sbin/functions.sh
/usr/sbin/mkxf86config.sh:source /sbin/functions.sh
/usr/sbin/locale-gen:source /etc/init.d/functions.sh || {
/usr/sbin/locale-gen:   echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2

_________________
#Thelma
Back to top
View user's profile Send private message
UberLord
Retired Dev
Retired Dev


Joined: 18 Sep 2003
Posts: 6795
Location: Blighty

PostPosted: Sun Aug 13, 2006 5:45 pm    Post subject: Reply with quote

/sbin/livecd-functions.sh:source /sbin/functions.sh

There's the culprit I'll wager.

BTW, you only want script that on a LiveCD and not an installation.
_________________
Use dhcpcd for all your automated network configuration needs
Use dhcpcd-ui (GTK+/Qt) as your System Tray Network tool
Back to top
View user's profile Send private message
Joseph_sys
Advocate
Advocate


Joined: 08 Jun 2004
Posts: 2571
Location: Edmonton, AB

PostPosted: Sun Aug 13, 2006 6:01 pm    Post subject: Reply with quote

UberLord wrote:
/sbin/livecd-functions.sh:source /sbin/functions.sh

There's the culprit I'll wager.

BTW, you only want script that on a LiveCD and not an installation.


You are right on, thank you.
Removing /sbin/livecd-functions.sh solved the problem. Though I'm curious how did that script got in there, was it a left-over from an old installation?
_________________
#Thelma
Back to top
View user's profile Send private message
UberLord
Retired Dev
Retired Dev


Joined: 18 Sep 2003
Posts: 6795
Location: Blighty

PostPosted: Sun Aug 13, 2006 6:07 pm    Post subject: Reply with quote

Joseph_sys wrote:
Though I'm curious how did that script got in there, was it a left-over from an old installation?


Doubtfull - no installation includes it
_________________
Use dhcpcd for all your automated network configuration needs
Use dhcpcd-ui (GTK+/Qt) as your System Tray Network tool
Back to top
View user's profile Send private message
masterdriverz
Retired Dev
Retired Dev


Joined: 28 Mar 2006
Posts: 391
Location: Far out in the uncharted backwaters of the unfashionable end of the Western Spiral arm of the galaxy

PostPosted: Sun Aug 13, 2006 6:40 pm    Post subject: Reply with quote

UberLord wrote:
/sbin/livecd-functions.sh:source /sbin/functions.sh


Thanks, this has been bugging me as well for a while.
Back to top
View user's profile Send private message
transsib
l33t
l33t


Joined: 26 Jul 2003
Posts: 880

PostPosted: Wed Aug 16, 2006 5:35 am    Post subject: Reply with quote

I don't have /sbin/livecd-functions.sh ? But why is it referred to then?

Code:
# for x in /lib /usr/lib /bin /usr/bin /sbin /usr/sbin ; do grep "functions\.sh" $x -R ; done
grep: memory exhausted
grep: /usr/lib/X11/X11: No such file or directory
grep: /usr/lib/python2.3/site-packages/pygtk.py: No such file or directory
grep: /usr/lib/python2.3/site-packages/pygtk.pth: No such file or directory
grep: /usr/lib/libgnomevfs.so: No such file or directory
grep: warning: /usr/lib/lib: recursive directory loop

/usr/lib/portage/bin/doexe:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/doins:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/doman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepstrip:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepallman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/ebuild.sh:source "${PORTAGE_BIN_PATH}/isolated-functions.sh"  &>/dev/null
/usr/lib/portage/bin/ebuild.sh: # MUST follow functions.sh to override the "" parameter problem.
/usr/lib/portage/bin/ebuild.sh:# in the future might use e* from /etc/init.d/functions.sh if i feel like it
/usr/lib/portage/bin/prepinfo:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/quickpkg:source /sbin/functions.sh
/usr/lib/portage/bin/prepalldocs:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepallinfo:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepall:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/preplib:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/emerge-webrsync:source /usr/lib/portage/bin/isolated-functions.sh || exit 1
/usr/lib/portage/pym/output.py:# Colors from /sbin/functions.sh
/usr/lib/portage/pym/output.py: functions in the shell script C{/sbin/functions.sh} and also accept
/usr/lib/portage/pym/output.py: functions in C{/sbin/functions.sh} are oriented for use mainly by system
Binary file /usr/lib/portage/pym/output.pyo matches
Binary file /usr/lib/portage/pym/portage_const.pyo matches
/usr/lib/portage/pym/portage_const.py:MISC_SH_BINARY          = PORTAGE_BIN_PATH + "/misc-functions.sh"
grep: /usr/lib/libMesaGL.so: No such file or directory
/bin/rc-status:# grab code from functions.sh so we don't have to reproduce it
/bin/rc-status:source /sbin/functions.sh
grep: /usr/bin/gman: No such file or directory
/usr/bin/quickpkg:source /sbin/functions.sh
grep: /usr/bin/gnome-help: No such file or directory
grep: warning: /usr/bin/X11: recursive directory loop

/usr/bin/gcc-config:source /sbin/functions.sh || {
/usr/bin/gcc-config:    echo "${argv0}: Could not source /sbin/functions.sh!"
/usr/bin/perl-cleaner:source /sbin/functions.sh || {
/usr/bin/perl-cleaner:        echo "$0: Could not source /sbin/functions.sh!"
/usr/bin/binutils-config:source /etc/init.d/functions.sh || {
/usr/bin/binutils-config:       echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/depscan.sh:source /etc/init.d/functions.sh || {
/sbin/depscan.sh:       echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/update-modules:source /etc/init.d/functions.sh || {
/sbin/update-modules:   echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/rc:source /sbin/functions.sh
/sbin/rc:[ -f /sbin/livecd-functions.sh ] && source /sbin/livecd-functions.sh
/sbin/rc:       [ -f /sbin/livecd-functions.sh ] && livecd_read_commandline
/sbin/rc:       if [ -f "/sbin/livecd-functions.sh" -a -n "${CDBOOT}" ]
/sbin/rc-update:source /sbin/functions.sh
/sbin/functions.sh:if ! import_addon splash-functions.sh ; then
/sbin/functions.sh:     [[ -f /sbin/splash-functions.sh ]] && source /sbin/splash-functions.sh
/sbin/functions.sh:import_addon profiling-functions.sh
/sbin/functions.sh:#    This function is private to functions.sh.  Do not call it from a
/sbin/runscript.sh:[[ ${RC_GOT_FUNCTIONS} != "yes" ]] && source /sbin/functions.sh
/sbin/runscript.sh:# We check this in functions.sh ...
/sbin/splash:[[ RC_GOT_FUNCTIONS != "yes" ]] && . /sbin/functions.sh
/sbin/splash-functions.sh:# - $svcdir is defined in /sbin/functions.sh
/sbin/splash-functions.sh:# - /sbin/splash-functions.sh is sourced from /sbin/function.sh, after $svcdir
/sbin/splash-functions.sh:# - /sbin/functions.sh is sourced from /sbin/depscan.sh
/sbin/splash-functions.sh:      # svc_start() from /sbin/runscript.sh and start_service() from rc-functions.sh
/sbin/fix_libtool_files.sh:source /sbin/functions.sh
/sbin/env-update.sh:source /sbin/functions.sh || exit 1
/sbin/modules-update:source /etc/init.d/functions.sh || {
/sbin/modules-update:   echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/usr/sbin/update-modules:source /etc/init.d/functions.sh || {
/usr/sbin/update-modules:       echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/usr/sbin/ebuild.sh:source "${PORTAGE_BIN_PATH}/isolated-functions.sh"  &>/dev/null
/usr/sbin/ebuild.sh:    # MUST follow functions.sh to override the "" parameter problem.
/usr/sbin/ebuild.sh:# in the future might use e* from /etc/init.d/functions.sh if i feel like it
/usr/sbin/emerge-webrsync:source /usr/lib/portage/bin/isolated-functions.sh || exit 1
/usr/sbin/opengl-update:. /etc/init.d/functions.sh
/usr/sbin/python-updater:source /sbin/functions.sh
/usr/sbin/quickpkg:source /sbin/functions.sh
/usr/sbin/locale-gen:source /etc/init.d/functions.sh || {
/usr/sbin/locale-gen:   echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2


Code:
# rm /sbin/livecd-functions.sh
rm: cannot remove `/sbin/livecd-functions.sh': No such file or directory


BTW: I have baselayout-1.12.4.-r5
Back to top
View user's profile Send private message
UberLord
Retired Dev
Retired Dev


Joined: 18 Sep 2003
Posts: 6795
Location: Blighty

PostPosted: Wed Aug 16, 2006 7:32 am    Post subject: Reply with quote

I can't see anything in that list that is causing the issue off hand.
_________________
Use dhcpcd for all your automated network configuration needs
Use dhcpcd-ui (GTK+/Qt) as your System Tray Network tool
Back to top
View user's profile Send private message
transsib
l33t
l33t


Joined: 26 Jul 2003
Posts: 880

PostPosted: Thu Aug 17, 2006 2:01 pm    Post subject: Reply with quote

Thank you for trying to help, UberLord. The error message didn't do no harm
other than being an annoyance.
I've inaugurated a new kernel-2.6.17-gentoo-r4 and on booting that the
error messages were gone. I haven't changed anything else but the kernel.

I don't know what exactly the new kernel changed but frankly I don't care. :)
Back to top
View user's profile Send private message
echo6
Guru
Guru


Joined: 04 Jan 2003
Posts: 587

PostPosted: Fri Aug 18, 2006 9:16 am    Post subject: Reply with quote

I updated yesterday to sys-apps/baselayout-1.12.4-r6

I'm using kernel 2.6.17-gentoo-r4 I still get these same errors but additionally
Code:
cannot create needed directory /var/lib/init.d

for each of my runlevel scripts.

Code:
powerbook echo6 # for x in /lib /usr/lib /bin /usr/bin /sbin /usr/sbin ; do grep "functions\.sh" $x -R ; done
/lib/rcscripts/sh/rc-services.sh:[[ ${RC_GOT_FUNCTIONS} != "yes" ]] && source /sbin/functions.sh
/lib/rcscripts/sh/rc-daemon.sh:[[ ${RC_GOT_FUNCTIONS} != "yes" ]] && source /sbin/functions.sh
/lib/rcscripts/sh/rc-help.sh:source /sbin/functions.sh
/lib/rcscripts/awk/cachedepends.awk:    print "source /sbin/functions.sh" >> TMPCACHE
grep: memory exhausted
/usr/lib/portage/bin/doexe:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/doins:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/doman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/ebuild.sh:source "${PORTAGE_BIN_PATH}/isolated-functions.sh"  &>/dev/null
/usr/lib/portage/bin/ebuild.sh: # MUST follow functions.sh to override the "" parameter problem.
/usr/lib/portage/bin/ebuild.sh:# in the future might use e* from /etc/init.d/functions.sh if i feel like it
/usr/lib/portage/bin/emerge-webrsync:source /usr/lib/portage/bin/isolated-functions.sh || exit 1
/usr/lib/portage/bin/prepall:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepalldocs:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepallinfo:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepallman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepinfo:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/preplib:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepman:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/prepstrip:source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
/usr/lib/portage/bin/quickpkg:source /sbin/functions.sh
/usr/lib/portage/pym/output.py:# Colors from /sbin/functions.sh
/usr/lib/portage/pym/portage_const.py:MISC_SH_BINARY          = PORTAGE_BIN_PATH + "/misc-functions.sh"
Binary file /usr/lib/portage/pym/portage_const.pyo matches
Binary file /usr/lib/portage/pym/portage_const.pyc matches
grep: /usr/lib/libgcrypt.7.dylib: No such file or directory
grep: warning: /usr/lib/apache2/lib: recursive directory loop

/bin/rc-status:# grab code from functions.sh so we don't have to reproduce it
/bin/rc-status:source /sbin/functions.sh
/usr/bin/binutils-config:source /etc/init.d/functions.sh || {
/usr/bin/binutils-config:       echo "$0: Could not source /etc/init.d/functions.sh!"
/usr/bin/gcc-config:source /sbin/functions.sh || {
/usr/bin/gcc-config:    echo "$0: Could not source /sbin/functions.sh!"
grep: warning: /usr/bin/X11: recursive directory loop

/sbin/rc:source /sbin/functions.sh
/sbin/rc:[ -f /sbin/livecd-functions.sh ] && source /sbin/livecd-functions.sh
/sbin/rc:       [ -f /sbin/livecd-functions.sh ] && livecd_read_commandline
/sbin/rc:       if [ -f "/sbin/livecd-functions.sh" -a -n "${CDBOOT}" ]
/sbin/rc-update:source /sbin/functions.sh
/sbin/modules-update:source /etc/init.d/functions.sh || {
/sbin/modules-update:   echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/update-modules:source /etc/init.d/functions.sh || {
/sbin/update-modules:   echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/runscript.sh:[[ ${RC_GOT_FUNCTIONS} != "yes" ]] && source /sbin/functions.sh
/sbin/runscript.sh:# We check this in functions.sh ...
/sbin/functions.sh:if ! import_addon splash-functions.sh ; then
/sbin/functions.sh:     [[ -f /sbin/splash-functions.sh ]] && source /sbin/splash-functions.sh
/sbin/functions.sh:import_addon profiling-functions.sh
/sbin/functions.sh:#    This function is private to functions.sh.  Do not call it from a
/sbin/fix_libtool_files.sh:source /sbin/functions.sh
/sbin/depscan.sh:source /etc/init.d/functions.sh || {
/sbin/depscan.sh:       echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/sbin/env-update.sh:source /sbin/functions.sh || exit 1
/sbin/splash:[[ RC_GOT_FUNCTIONS != "yes" ]] && . /sbin/functions.sh
/sbin/splash-functions.sh:# - $svcdir is defined in /sbin/functions.sh
/sbin/splash-functions.sh:# - /sbin/splash-functions.sh is sourced from /sbin/function.sh, after $svcdir
/sbin/splash-functions.sh:# - /sbin/functions.sh is sourced from /sbin/depscan.sh
/sbin/splash-functions.sh:      # svc_start() from /sbin/runscript.sh and start_service() from rc-functions.sh
/usr/sbin/python-updater:source /sbin/functions.sh
/usr/sbin/update-modules:source /etc/init.d/functions.sh || {
/usr/sbin/update-modules:       echo "${argv0}: Could not source /etc/init.d/functions.sh!" 1>&2
/usr/sbin/quickpkg:source /sbin/functions.sh
/usr/sbin/emerge-webrsync:source /usr/lib/portage/bin/isolated-functions.sh || exit 1
/usr/sbin/opengl-update:. /etc/init.d/functions.sh
/usr/sbin/ghc-updater:source /sbin/functions.sh
Back to top
View user's profile Send private message
echo6
Guru
Guru


Joined: 04 Jan 2003
Posts: 587

PostPosted: Fri Aug 18, 2006 9:31 am    Post subject: Reply with quote

Uberlord: fyi, upgrade to media-gfx/splashutils-1.1.9.8-r1 fixed both the issues I was seeing.
Back to top
View user's profile Send private message
UberLord
Retired Dev
Retired Dev


Joined: 18 Sep 2003
Posts: 6795
Location: Blighty

PostPosted: Fri Aug 18, 2006 9:45 am    Post subject: Reply with quote

echo6 wrote:
Uberlord: fyi, upgrade to media-gfx/splashutils-1.1.9.8-r1 fixed both the issues I was seeing.


I know that.

What I don't understand is that older versions with the error haven't been in portage for some time - so why didn't it get upgraded?
_________________
Use dhcpcd for all your automated network configuration needs
Use dhcpcd-ui (GTK+/Qt) as your System Tray Network tool
Back to top
View user's profile Send private message
steveybaby2
n00b
n00b


Joined: 20 May 2004
Posts: 17
Location: UK

PostPosted: Mon Jul 23, 2007 8:04 pm    Post subject: Reply with quote

I had this problem after upgrading gcc and hence after emptying and recompiling the portage tree for both system and world. So this means that splashutils was never listed in system or world. Looking at the dependencies shows that there are no indirect dependencies either:

saruman ~ # equery depends splashutils
[ Searching for packages depending on splashutils... ]
media-gfx/splash-themes-gentoo-20050429 (>=media-gfx/splashutils-1.1.9.5)
saruman ~ # equery depends splash-themes-gentoo
[ Searching for packages depending on splash-themes-gentoo... ]
saruman ~ #

So this could be why it never got upgraded, because nothing depended on it and it wasnt in world.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum